package com.elephant.framework.galaxy.aroad.module.zhjc.controller;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.elephant.framework.galaxy.aroad.module.common.annotation.SysLog;
import com.elephant.framework.galaxy.aroad.module.common.controller.BaseController;
import com.elephant.framework.galaxy.aroad.module.zhjc.entity.ZhjcXmjcZbfx;
import com.elephant.framework.galaxy.aroad.module.zhjc.service.ZhjcXmjcZbfxService;
import com.elephant.framework.galaxy.aroad.response.R;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.*;


/**
 * 项目决策指标分析
 *
 * @author zyw
 * @date 2019-04-29 16:53:48
 */
@RestController
@AllArgsConstructor
@RequestMapping("/zhjc/zhjcxmjczbfx")
public class ZhjcXmjcZbfxController extends BaseController {

    private final ZhjcXmjcZbfxService zhjcXmjcZbfxService;

    /**
     * 查询查询
     *
     * @param zhjcXmjcZbfx 项目决策指标分析
     * @return
     */
    @GetMapping("/list")
    public R getZhjcXmjcZbfxPage(ZhjcXmjcZbfx zhjcXmjcZbfx) {
        System.out.println(zhjcXmjcZbfx);
        return new R<>(zhjcXmjcZbfxService.list(Wrappers.query(zhjcXmjcZbfx)));
    }


    /**
     * 通过id查询项目决策指标分析
     *
     * @param id id
     * @return R
     */
    @GetMapping("/{id}")
    public R getById(@PathVariable("id") Integer id) {
        return new R<>(zhjcXmjcZbfxService.getById(id));
    }

    /**
     * 新增项目决策指标分析
     *
     * @param zhjcXmjcZbfx 项目决策指标分析
     * @return R
     */
    @SysLog("新增项目决策指标分析")
    @PostMapping
    public R save(@RequestBody ZhjcXmjcZbfx zhjcXmjcZbfx) {
        return new R<>(zhjcXmjcZbfxService.save(zhjcXmjcZbfx));
    }

    /**
     * 修改项目决策指标分析
     *
     * @param zhjcXmjcZbfx 项目决策指标分析
     * @return R
     */
    @SysLog("修改项目决策指标分析")
    @PutMapping
    public R updateById(@RequestBody ZhjcXmjcZbfx zhjcXmjcZbfx) {
        return new R<>(zhjcXmjcZbfxService.updateById(zhjcXmjcZbfx));
    }

    /**
     * 通过id删除项目决策指标分析
     *
     * @param id id
     * @return R
     */
    @SysLog("删除项目决策指标分析")
    @DeleteMapping("/{id}")
    public R removeById(@PathVariable Integer id) {
        return new R<>(zhjcXmjcZbfxService.removeById(id));
    }

}
